package sample;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import org.apache.velocity.app.VelocityEngine;
import org.apache.velocity.Template;
import org.apache.velocity.VelocityContext;
/**
 * @author andreas
 *
 */
public class SampleMain {

	/**
	 * @param args
	 * @throws IOException 
	 */
	public static void main(String[] args) throws IOException {
		
        VelocityEngine ve = new VelocityEngine();
        ve.init();
       
        Template t = ve.getTemplate( "src/template/fichero.vm" );
       
        VelocityContext context = new VelocityContext();
        
        context.put("Material", "calc");
        context.put("DryIndex", "1");
        context.put("WetIndex", "1");
        context.put("ExpLin", "1");
        context.put("ExpRad", "1");
        context.put("MaterialCode", "1");
        context.put("MachingData", "Original");
        context.put("Number-Curves", "2");
        context.put("Rad1-000", "7,35");
        context.put("Rad1-090", "0");
        context.put("Dia1", "11,25");
        context.put("Asp1", "0");
        context.put("bld1", "0");
        context.put("Rad2-000", "7,35");
        context.put("Rad2-090", "0");
        context.put("Dia2", "11,25");
        context.put("Asp2", "0");
        context.put("bld2", "0");
        
        FileWriter writer = new FileWriter(new File("C:/Users/andreas/file.dat"));
        t.merge( context, writer );
        
        writer.flush();
        writer.close(); 
        
	}

}
